Subject: bug#27901: 25.1; x-win-suspend-error: Cannot suspend Emacs while running under X

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Aug 2017 21:17:29 +0300

> Date: Sat, 05 Aug 2017 19:39:35 +0200
> From: Francesco Potortì <[email-masked]>
> Cc: [email-masked]
> 
> >Then go to the GUI frame and type "C-x 5 0".
> 
> The problem is that I have not access to the GUI (maybe this was not
> clear from the beginning).

It wasn't, not to me.

> The terminal frame is running inside a terminal under Screen.  When I
> access it remotely, I have no access to the GUI.  I cannot suspend Emacs
> because there is a graphical frame alive, and I cannot close it because
> I do not know how, and the only way I can think of makes the terminal
> frame unusable (which I suspect is a bug).

What does frame-list return?

And anyway, why do you insist on suspending Emacs?  Why not start a
shell instead?